Cocopods安装MuPDF遇见的坑

主要是参考了
iOS MUPDF集成及开发(干货!)

我觉得这个大佬写的很好了 能用cocopods解决的事情何必使用手动接入
何必呢
但是我通过cocopods安装的时候 每次都报错 因为这个库安装的时间稍长 等半天报错了 很不好哦 刚开始以为网不中 直到试了多次 发现跟网没关系 是真不中🙃
报错如图

这样
QQ20200401-0.png

这样
QQ20200401-1.png

还是这样
C3FFA8FFD81824E4E785B645303171BC.png

我用的xcode版本是 Version 9.2 (9C40b)
我的电脑的版本是 macOS Mojave 10.14.4

中间更换过MuPDF的版本安装低版本不中 同样报错
降低Xcode版本也不中
看着篇文章里说需要安装Command Line Tools
iOS端 MuPDF集成使用总结

然鹅我是安装着的 又去官网下载了再安装一遍也不中
最后仔细阅读报错

select: error: tool 'xcodebuild' requires Xcode, 
but active developer directory '/Library/Developer/CommandLineTools'
 is a command line tools instance 

这么简单的一条指令就解决了
Fix

xcode-select --switch /Applications/Xcode.app/Contents/Developer/

pod install cocopods安装MuPDF成功😺🎈

推荐阅读更多精彩内容